Bug 556847 - [abrt] crash in firefox-3.5.6-1.fc12
[abrt] crash in firefox-3.5.6-1.fc12
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:828cce3a75deee020c2f9a50e9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-19 10:35 EST by nm.moulin
Modified: 2010-05-07 08:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 08:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (99.85 KB, text/plain)
2010-01-19 10:35 EST, nm.moulin
no flags Details

  None (edit)
Description nm.moulin 2010-01-19 10:35:24 EST
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.6/firefox
component: firefox
executable: /usr/lib/firefox-3.5.6/firefox
kernel: 2.6.31.9-174.fc12.i686.PAE
package: firefox-3.5.6-1.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)
Comment 1 nm.moulin 2010-01-19 10:35:26 EST
Created attachment 385423 [details]
File: backtrace
Comment 2 Chris Campbell 2010-01-19 11:26:19 EST
#7  0x00799bd8 in __assert_fail (assertion=<value optimized out>, 
    file=<value optimized out>, line=<value optimized out>, 
    function=<value optimized out>) at assert.c:71
        result = <value optimized out>
        old = <value optimized out>
        buf = 0xa6f036a0 "firefox: xcb_io.c\302\240:378\302\240:\302\240_XAllocID:  L'assertion \302\253\302\240ret != inval_id\302\240\302\273 a \303\251chou\303\251.\n"
#8  0x00b17c0a in _XAllocID (dpy=0xb7563000) at xcb_io.c:378
        ret = 4294967295
        __PRETTY_FUNCTION__ = "_XAllocID"
#9  0x00aecf19 in XCreatePixmap (dpy=<value optimized out>, 
    d=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>, depth=<value optimized out>)
    at CrPixmap.c:58
No locals.
#10 0x001c4e63 in _cairo_xlib_surface_create_similar_with_format (
    abstract_src=0xa88a9700, format=<value optimized out>, width=8, height=25)
    at cairo-xlib-surface.c:155
        dpy = 0xb7563000
        pix = 3075878912
        xrender_format = <value optimized out>
#11 0x001c9d24 in _cairo_xlib_surface_clone_similar (
    abstract_surface=0xa88a9700, src=0xa6660200, src_x=0, src_y=0, width=8, 
    height=25, clone_offset_x=0xbfc2bd2c, clone_offset_y=0xbfc2bd28, 
    clone_out=0xbfc2c60c) at cairo-xlib-surface.c:1201
        status = <value optimized out>




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-01-19 11:32:15 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command, saved in a text file and attached to this bug:

$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install debuginfo for Firefox.

# debuginfo-install firefox

Then run firefox inside the gdb debugger. Please do the following:

$ firefox -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

(gdb) run

Now, firefox should start up. Use it and reproduce the crash. When firefox crashes, you should be back to the gdb prompt. Now do:

(gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance, for your extra efforts.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Chris Campbell 2010-04-09 21:56:20 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Chris Campbell 2010-05-07 08:24:35 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.